var DEF_WASM_PATH = '/js/datasymbol-sdk.wasm';


var DataSymbolScannerSettings = {
        scanner: {
            key: '',
            frameTimeout:	100,
            barcodeTimeout:	1000,
            beep: true,
        },
        viewport: {
            id: 'datasymbol-barcode-viewport',
            width: 500,	//if not defined then 100%
            //height: 200,
        },
        camera: {
            id: null,
            label: null,
            resx: 640,
            //resy: 480,
            //facingMode: 'user', //'environment'
        },
        barcode: {
            barcodeTypes: ['EAN13', 'UPCA', 'Code128', 'DataMatrix', 'QRCode', 'QRCodeUnrecognized'],
            bQRCodeFindMicro: false,
        },
};

var BarcodeReadyEvent = function (barcodeResult) {  
  var barDataEl = document.getElementById('status');

	for (var i = 0; i < barcodeResult.length; ++i) {
	    var sBarcode = DSScanner.bin2String(barcodeResult[i]);
	    var sPoints = "";
	    for (var j = 0; j < 4; j++)
	      sPoints += "(" + barcodeResult[i].points[j].x + ", " + barcodeResult[i].points[j].y + "),";

	    if( barDataEl ) {
		    barDataEl.innerHTML = barcodeResult[i].type + ": " + sBarcode + "|" + sPoints;
		    console.log(barDataEl.innerHTML);
	    }
  }
};


var ErrorEvent = function (err) {
    var statusElement = document.getElementById('status');
    if( statusElement )
	    statusElement.innerHTML = 'Error: ' + err.message;
}


